using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Lifetime
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine(Example1.GetBlogEntry("2010/11/01/csharp5-async-exceptions"));
            Examples3_4.UseWeakCache();
            Examples8_13.ReadFileWithUsingStatement();
            Examples8_13.StackUsingStatements();
            Examples8_13.ForEachAndDiposal();
        }
    }
}
